# Interface AsymmetricKey

All Superinterfaces:
  `Key`, `Serializable`

All Known Subinterfaces:
  `DHPrivateKey`, `DHPublicKey`, `DSAPrivateKey`, `DSAPublicKey`, `ECPrivateKey`, `ECPublicKey`, `EdECPrivateKey`, `EdECPublicKey`, `PrivateKey`, `PublicKey`, `RSAMultiPrimePrivateCrtKey`, `RSAPrivateCrtKey`, `RSAPrivateKey`, `RSAPublicKey`, `XECPrivateKey`, `XECPublicKey`

public interface AsymmetricKey extends Key
An asymmetric key, which can be either a public key or a private key. This interface contains methods that are common to either a public key or a private key.

Since:
  22

## Field Summary

### Fields declared in interface java.security.Key

`serialVersionUID`

## Method Summary

Modifier and Type
Method
Description
`default AlgorithmParameterSpec`
`getParams()`
Returns the parameters associated with this key.

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

## Method Details

### getParams

default AlgorithmParameterSpec getParams()
Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.

Implementation Requirements:
  The default implementation returns `null`.
Returns:
  the associated parameters, may be `null`